Subject: bug#9470: 24.0.50; Possible bidi-related slowness

From: Christoph Scholtes <[email-masked]>
Date: Sat, 10 Sep 2011 12:45:03 -0600

On 9/10/2011 12:28 PM, Lars Magne Ingebrigtsen wrote:

> I just experienced a massively slow Gnus article buffer.

I noticed a slow scrolling behavior when editing a Python file also. I 
am not sure if these issues are related.

Holding C-n shows the same skipping behavior I usually experience in big 
c files. The cursor disappears and at some point it catches up. This 
does however not happen when holding C-p to go upwards.

M-: (setq bidi-display-reordering nil)

solves the problem and C-n and C-p behave normally.

Disabling font-lock works also, so font-lock plus bidi-reordering is 
probably too slow?

Eli, let me know if there is any way to help troubleshoot this.

Christoph